package com.tzld.piaoquan.growth.common.common.enums;

import lombok.Getter;

@Getter
public enum FieshuTableColumnDataTypeEnum {
    TEXT("text"),
    LARK_MD("lark_md"),
    NUMBER("number"),
    DATE("date"),
    OPTIONS("options"),
    ;

    private String type;

    FieshuTableColumnDataTypeEnum(String type) {
        this.type = type;
    }

    public static FieshuTableColumnDataTypeEnum from(String type) {
        for (FieshuTableColumnDataTypeEnum typeEnum : FieshuTableColumnDataTypeEnum.values()) {
            if (typeEnum.getType().equals(type)) {
                return typeEnum;
            }
        }
        return null;
    }
}